/*
 * RerunLastCommandEvent.java
 *
 * Copyright (C) 2009-12 by RStudio, Inc.
 *
 * Unless you have received this program directly from RStudio pursuant
 * to the terms of a commercial license agreement with RStudio, then
 * this program is licensed to you under the terms of version 3 of the
 * GNU Affero General Public License. This program is distributed WITHOUT
 * ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF NON-INFRINGEMENT,
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Please refer to the
 * AGPL (http://www.gnu.org/licenses/agpl-3.0.txt) for more details.
 *
 */
package org.rstudio.studio.client.workbench.views.console.events;

import com.google.gwt.event.shared.EventHandler;
import com.google.gwt.event.shared.GwtEvent;

public class RunCommandWithDebugEvent 
   extends GwtEvent<RunCommandWithDebugEvent.Handler>
{
   public static final GwtEvent.Type<RunCommandWithDebugEvent.Handler> TYPE =
      new GwtEvent.Type<RunCommandWithDebugEvent.Handler>();
  
   public interface Handler extends EventHandler
   {
      void onRunCommandWithDebug(RunCommandWithDebugEvent event);
   }
   
   public RunCommandWithDebugEvent(String command)
   {
      command_ = command;
   }
   
   public String getCommand()
   {
      return command_;
   }
         
   @Override
   public Type<RunCommandWithDebugEvent.Handler> getAssociatedType()
   {
      return TYPE;
   }

   @Override
   protected void dispatch(Handler handler)
   {
      handler.onRunCommandWithDebug(this);
   }
   
   private String command_;
}
